Bug 226531 - Merge Review: vnc
Merge Review: vnc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:16 EST by Nobody's working on this, feel free to take it
Modified: 2009-09-26 11:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 07:52:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:16:05 EST
Fedora Merge Review: vnc

http://cvs.fedora.redhat.com/viewcvs/devel/vnc/
Initial Owner: atkac@redhat.com
Comment 1 Jon Ciesla 2008-09-17 13:32:06 EDT
Build of rawhide SRPM on F-9 fails:

In file included from glxdriswrast.c:39:
/usr/include/GL/internal/dri_interface.h:43:17: error: drm.h: No such file or directory
In file included from glxdriswrast.c:39:
/usr/include/GL/internal/dri_interface.h:278: error: expected declaration specifiers or '...' before 'drm_clip_rect_t'
/usr/include/GL/internal/dri_interface.h:280: error: expected declaration specifiers or '...' before 'drm_clip_rect_t'
/usr/include/GL/internal/dri_interface.h:334: error: expected declaration specifiers or '...' before 'drm_clip_rect_t'
/usr/include/GL/internal/dri_interface.h:596: error: expected declaration specifiers or '...' before 'drm_drawable_t'
/usr/include/GL/internal/dri_interface.h:604: error: expected declaration specifiers or '...' before 'drm_context_t'
make[1]: *** [glxdriswrast.lo] Error 1
make[1]: Leaving directory `/home/limb/rpmbuild/BUILD/vnc-4_1_2-unixsrc/unix/xorg-x11-server-source/glx'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.69026 (%build)


License tag should be GPLv2+.

Upstream Source is 404.

There are 36 patches, with no notes as to upstream status.

Can't check BuildRequires, or run rpmlint on RPMS, see above.

rpmlint on spec:

vnc.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 128)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Fix.

Other than the above, full review is good, no other blockers.
Comment 2 Adam Tkac 2008-10-17 07:52:20 EDT
"Old" vnc is going to be replaced by tightvnc package in F11 which has already passed throught review process (bug #445537). vnc is is going to be dead in F11 so I think we don't have to waste time with vnc review. If you think vnc should be reviewed for F10 please reopen.
Comment 3 Patrice Dumas 2008-10-17 08:47:39 EDT
Please tell on fedora-devel that you are orphaning vnc, maybe there will
be takers (for F11). If so, I think that it would be better in any case to 
have a regular review done, so keeping this closed and not reviewed is the 
best solution in my opinion.
Comment 4 Jon Ciesla 2008-10-17 09:39:23 EDT
(In reply to comment #3)
> Please tell on fedora-devel that you are orphaning vnc, maybe there will
> be takers (for F11). If so, I think that it would be better in any case to 
> have a regular review done, so keeping this closed and not reviewed is the 
> best solution in my opinion.

+1, but what, functionally, would be the difference between a regular review and a merge review?
Comment 5 Patrice Dumas 2008-10-17 13:13:25 EDT
(In reply to comment #4)

> +1, but what, functionally, would be the difference between a regular review
> and a merge review?

Not much, except that in Merge reviews it is often very unclear who is
the reporter. Also another major difference is that the package is in
fedora during the review which removes an incentive for reviewers and 
submitters.
Comment 6 Jon Ciesla 2008-10-17 13:38:44 EDT
(In reply to comment #5)
> (In reply to comment #4)
> 
> > +1, but what, functionally, would be the difference between a regular review
> > and a merge review?
> 
> Not much, except that in Merge reviews it is often very unclear who is
> the reporter. Also another major difference is that the package is in
> fedora during the review which removes an incentive for reviewers and 
> submitters.

Tell me about it. ;)
Comment 7 Adam Tkac 2008-10-22 09:46:25 EDT
(In reply to comment #3)
> Please tell on fedora-devel that you are orphaning vnc, maybe there will
> be takers (for F11). If so, I think that it would be better in any case to 
> have a regular review done, so keeping this closed and not reviewed is the 
> best solution in my opinion.

Well, this is not solution. tightvnc is forked vnc so both packages have same code, same binaries etc. So we have to have vnc or tightvnc but not both.
Comment 8 Patrice Dumas 2008-10-22 15:51:30 EDT
(In reply to comment #7)
> (In reply to comment #3)
> > Please tell on fedora-devel that you are orphaning vnc, maybe there will
> > be takers (for F11). If so, I think that it would be better in any case to 
> > have a regular review done, so keeping this closed and not reviewed is the 
> > best solution in my opinion.
> 
> Well, this is not solution. tightvnc is forked vnc so both packages have same
> code, same binaries etc. So we have to have vnc or tightvnc but not both.

They can be made parallel installable and use alternatives, for example. 
Or simply have realvnc binaries prefixed. You are orphaning vnc, please
follow the procedures.

Note You need to log in before you can comment on or make changes to this bug.